<?php
session_start();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title>Search Item</title> 
	<style type="text/css">
		tfoot input {
			width: 100%;
			padding: 3px;
			box-sizing: border-box;
		}
	</style>
	<link  href="vendor/new/multi/jquery.dataTables.min.css" rel="stylesheet" type="text/css"> 
	<script src="vendor/new/multi/jquery-3.5.1.js" ></script>
	<script src="vendor/new/multi/jquery.dataTables.min.js" ></script>
	
    <script language="JavaScript" src="js/gin_m.js"></script> 
</head>
<body>

 
 <input type="checkbox" id="chk_stock"   >  Stock Items  Only
 </br> </br>
 

	<table id="example" class="display" style="width:100%">
		<thead>
		     
			<tr>
			                  <td align="center">Item Code</td>
                              <td align="center">Item Description</td>
                              <td align="center">Brand</td> 
                              <td align="center">Size</td>
                              <td align="center">List Price</td> 
                              <td align="center">Quantity</td> 
                              
			</tr>
		</thead>
		<tbody>
			<?php
		if (isset($_GET["stname"])) {
            $stname = $_GET["stname"];
        } else {
            $stname = "";
        }
			?>
			<input type="hidden" value="" id="cur" />
		 
         

		<?php 
							
 
session_start();
include_once './connection_sql.php';
 
							 
							
						 
							$sql = "SELECT * from s_mas ";
                            // if ($_SESSION["brand"]!= "") {
                            //     $sql .= " where  brand_name ='" . $_SESSION["brand"] . "'";
                            // } 
							foreach ($conn->query($sql) as $row) {
					
						echo "<tr>
                <td align=\"center\" onclick=\"itno_ind1('" . $row['STK_NO'] . "','" . $stname . "');\">" . $row['STK_NO'] . "</a></td>
                <td align=\"left\" onclick=\"itno_ind1('" . $row['STK_NO'] . "','" . $stname . "');\">" . $row['DESCRIPT'] . "</a></td>
                <td align=\"center\" onclick=\"itno_ind1('" . $row['STK_NO'] . "','" . $stname . "');\">" . $row['BRAND_NAME'] . "</a></td> 
                <td align=\"center\" onclick=\"itno_ind1('" . $row['STK_NO'] . "','" . $stname . "');\">" . $row['PART_NO'] . "</a></td> 
                <td align=\"center\" onclick=\"itno_ind1('" . $row['STK_NO'] . "','" . $stname . "');\">" . $row['SELLING'] . "</a></td> 
                 <td align=\"center\" onclick=\"itno_ind1('" . $row['STK_NO'] . "','" . $stname . "');\">" . $row['QTYINHAND'] . "</a></td> 
                </tr>";
							}
							  ?>

		</tbody>
		<tfoot>
			<tr>
	                    	  <th align="center">Item Code</th>
                              <th align="center">Item Description</th>
                              <th align="center">Brand</th>
                              <th align="center">Size</th>
                              <th align="center">List Price</th>
                              <th align="center">Quantity</th>
			</tr>
		</tfoot>
	</table>

</body>
</html>
<script type="text/javascript">
	$(document).ready(function() {
    // Setup - add a text input to each footer cell
    $('#example tfoot th').each( function () {
    	var title = $(this).text();
    	$(this).html( '<input type="text" placeholder="Search '+title+'" />' );
    } );
    
$('#chk_stock').on('change', function() {
  if ($(this).is(':checked')) {
    $.fn.dataTable.ext.search.push(
      function(settings, data, dataIndex) {  
         return data[5] > 0
      }
    )
  } else {
    $.fn.dataTable.ext.search.pop()
  }
  table.draw()
})

    // DataTable
    var table = $('#example').DataTable({
    	
    	lengthChange: true,
    	fixedHeader: true,
    	responsive: true,
    	"deferRender": true,
    	"order": [[ 0, 'desc' ]],
    	lengthMenu: [[ 10, 25, 50,100, -1 ],[ '10 rows', '25 rows', '50 rows', '100 rows', 'Show all' ]],
    	initComplete: function () {
            // Apply the search
            this.api().columns().every( function () {
            	var that = this;

            	$( 'input', this.footer() ).on( 'keyup change clear', function () {
            		if ( that.search() !== this.value ) {
            			that
            			.search( this.value )
            			.draw();
            		}
            	} );
            } );
        }
    });

} );
</script>


 
  
  